/*
 * C++/Win SS 99
 * Gruppe 3 / Falkowski
 * Name: Karin Helml
 * MatrNr: 9855290
 *
 * Uebung 5, Aufgabe 1
 *-------------------------------------------------------------------
 * Aufgabe: Zu implementieren ist eine Klasse Complex und diverse
 *          Konstruktoren sowie Operatoren.
 *-------------------------------------------------------------------
 *
 * Entwicklungsumgebung: Djgpp, Gnu C++ 2.7.2
 * Datei: Complex.h
 */


#ifndef Complex__H
#define Complex__H

#include <iostream.h>

class Complex
{
	
private:

	double re, im;

public:

	Complex();							 // Standard-Konstruktor

	Complex(double real, double imag);	 // Konstruktor mit  Real- und Imaginaerteil
	
	virtual ~Complex();					 // Destruktor

	Complex(const Complex &com);		 // Copykonstruktor
	 
	Complex operator=(const Complex &com);	 // Zuweisungsoperator

	Complex operator+(const Complex &com);	// Additionsoperator 

	Complex operator+=(Complex &com);    // Inkrementierungsoperator

	int operator==(const Complex &com); // Vergleichsoperator

	// Ausgabeoperator
	friend ostream& operator<<(ostream &onTheOs,const Complex &com); 

};

// Extern fr Ausgabeoperator
ostream& operator<<(ostream &onTheOs, const Complex &com);

#endif


