/*
 * Beschreibung des Beispiels:  Klassensystem - Shape - Box - Drawing
*/

#include <stdio.h>
#include "stdafx.h"
#include "Box.h"
#include "Drawing.h"
#include "Text.h"

int main(int argc, char* argv[])
    {
    Box b(1, 1, 4, 5);
    b.setTextur('*');
    cout << "Box" << endl << b << endl;
    Box b1(4, 4, 6, 6);
    b1.setTextur('');
    Box b2(10, 1, 4, 4);
    b2.setTextur('%');

    Drawing d1;
    d1.add(b);
    d1.add(b1);
    d1.add(b2);
    cout << "Drawing 1 " << endl << d1 << endl;

    Drawing d2(10,10);
    Box b3(5, 5, 3, 3);
    Box b4(0,0, 3, 3);
    d2.add(b3);
    d2.add(b4);
    cout << "Drawing 2 " << endl << d2 << endl;

    d1.add(d2);
    cout << "Containment " << endl << d1 << endl;
    
//Test: Text - 0:vertikale Richtung, 1:horizontale Richtung
    Text t("Hallo", 1);
    cout << "Text: " << endl << t << endl;
    Text t2("Hallo", 0);
    cout << "Text: " << endl << t2 << endl;
//Ausgabe eines leeren Zeichens
    Text t3;
    cout << "Text: " << endl << t3 << endl;
    
    getch();
    return 0;
    }
