#ifndef TEXT__H
#define TEXT__H

#include "Shape.h"

class Text : public Shape
	{
	public:
		Text() : Shape(), _text(" "), _direction(true){}	//Default-Konstruktor
		Text(char *text, bool direction)
			{
			_text = text;
			_direction = direction;
			};
		Text(const Text& text); //Copy-Konstruktor
		Text& operator=(const Text& t); //Zuweisungsoperator
		~Text(){}	//Destruktor
		virtual Rectangle getContour();
		virtual char charAt(int i,int j);
		

	private:
		bool _direction;
		char* _text;
	};



#endif